PostgreSQL 7.1.3 Documentation
Prev |  | Next

# SPI_palloc

## Name

SPI_palloc -- Allocates memory in upper Executor context

## Synopsis

    SPI_palloc(size)

### Inputs

Size `size`

  Octet size of storage to allocate

### Outputs

void *

  New storage space of specified size

## Description

`SPI_palloc` allocates memory in upper Executor context. See section on memory management.

## Usage

TBD

Prev | Home | Next
SPI_getrelname | Up | SPI_repalloc